=== debian/changelog ===
libgnatcoll (21.0.0-4) unstable; urgency=medium

  * Source upload forcing rebuild on buildds for all,amd64.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Dec 2020 10:58:09 +0100

libgnatcoll (21.0.0-3) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Add myself to Uploaders.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Dec 2020 17:10:38 +0100

libgnatcoll (21.0.0-2) experimental; urgency=medium

  * Restrict versions of build dependencies, fixing the build of indirect
    reverse dependencies in experimental where ALI versions do not change.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 19:00:23 +0000

libgnatcoll (21.0.0-1) experimental; urgency=medium

  * New upstream release (no renaming in experimental).
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Add missing copyright stanza for documentation.
  * Upstream recommends to watch github instead of the community website.
  * Build and install doc registration into GNAT Programming Studio.
  * Change section from misc to libdevel.
  * Drop obsolete sphinx build-dependency on texlive-plain-generic.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 20 Oct 2020 21:08:42 +0000

libgnatcoll (20-1) experimental; urgency=medium

  * New upstream release, built with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Split -arch and -indep build-dependencies.
  * Drop obsolete Pre-Depends.
  * Apply CFLAGS to gnatcoll_support.c, forgotten in a forwarded patch.
  * Cherry-pick upstream commits ensuring compatibility with current gnatprj.
  * link-with-libdl.diff on unix, not on osx.
  * Empty Linker_Options in installed project.
  * Pass build flags via the environment instead of Make.
  * Replace MAKE with dh_auto_build, which computes options like -j.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 22 May 2020 07:16:53 +0000
