=== debian/tests/control ===
Tests: projects
Depends: @, gprbuild
