=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gnatcoll-core-$1.tar.gz%" \
https://github.com/AdaCore/gnatcoll-core/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
