## libgnatcoll 22.1.0

=== debian/changelog ===
libgnatcoll (22.1.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:16:38 +0200

libgnatcoll (22.1.0-2) experimental; urgency=medium

  * Rebuild with gnat-11 (>= 11.2.0-19).
    A change in s-oscons.ads breaks ALI checksums.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2022 12:35:35 +0000

libgnatcoll (22.1.0-1) experimental; urgency=medium

  * Build new upstream snapshot with gnat-11 in experimental.
    Rename lib and -dev accordingly.
  * Build-Depend-Indep: tex-gyre. Closes: #997452.
  * Update standards version.
  * Adapt to new debian_packaging.mk from gnat package.
  * Add upstream metadata.
  * Remove unneeded filenamemangle uscan option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 14:38:22 +0000
