=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.2),
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
  gnat,
-# This line is parsed to set gnat version:
- gnat-10,
+ gnat-11 (>= 11.2.0-19),
  gprbuild (>= 2021.0.0.0778b109-2),
- libgnatprj8-dev (>= 2021.0.0.0778b109-2),
+ libgnatprj9-dev (>= 2022.0.0-2),
 # Implicit libc6-dev provides: iconv, syslog.
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
@@ -20,15 +19,17 @@
  latexmk,
  python3-sphinx,
  sphinx-common,
+# sphinx-doc requires tgterms.sty:
+ tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
 Homepage: https://github.com/AdaCore/gnatcoll-core
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll
 Vcs-Git: https://salsa.debian.org/debian/libgnatcoll.git
 
-Package: libgnatcoll19-dev
+Package: libgnatcoll20-dev
 # This line is parsed to set the Ada Library Information version.
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -58,7 +59,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libgnatcoll19
+Package: libgnatcoll20
 # This line is parsed to set the Shared Object version.
 Section: libs
 Architecture: any
