=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Build script for GNATColl in Debian.
-# Copyright (c) 2014-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2022 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -15,10 +15,8 @@
 # On Debian systems, the full text of the GPL is in the file
 # /usr/share/common-licenses/GPL-3.
 
-$(foreach line,$(shell sed -n '\
-  s/^ gnat-\([0-9.]\+\),$$/              GNAT_VERSION:=\1     /p; \
-  s/^Package: libgnatcoll\([0-9.]\+\)$$/ GNATCOLL_VERSION:=\1 /p; \
-  ' debian/control),$(eval $(line)))
+GNATCOLL_VERSION != \
+  sed -n '/^Package: libgnatcoll\([0-9.]\+\)$$/{s//\1/p;q}' debian/control
 
 DPKG_EXPORT_BUILDFLAGS := 1
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -26,9 +24,11 @@
   -Wl,--no-allow-shlib-undefined \
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-undefined
+DEB_GPRBUILDFLAGS_NO_J := 1
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
+include /usr/share/dpkg/buildopts.mk
+include $(wildcard /usr/share/ada/debian_packaging.mk)
 # wildcard means: not during -indep builds.
 
 %:
@@ -49,11 +49,13 @@
 	  NORMALIZED_TARGET=$(DEB_HOST_GNU_TYPE) \
 	  LIBRARY_TYPES='static relocatable' \
 	  GNATCOLL_VERSION=$(GNATCOLL_VERSION) \
-	  GPRBUILD_OPTIONS='$(BUILDER_OPTIONS)'
+	  GPRBUILD_OPTIONS='$(GPRBUILDFLAGS)' \
+	  $(addprefix PROCESSORS=,$(DEB_BUILD_OPTION_PARALLEL))
 
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	dh_auto_build -- -C docs html latexpdf text
+	dh_auto_build --sourcedirectory=docs -- html latexpdf text \
+	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
 endif
 
 # Force regeneration of runtime.py.
