=== debian/watch ===
version=4

# When upstream doesn’t release tags:
# wget https://github.com/AdaCore/gnatcoll-core/archive/c06dcc5e2515b1a18212a36aa80f06743b4863d1.tar.gz -O../libgnatcoll_22.1.0.orig.tar.gz

https://github.com/AdaCore/gnatcoll-core/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
