## libgnatcoll 23.0.0

=== debian/changelog ===
libgnatcoll (23.0.0-3) unstable; urgency=medium

  * Break/Replace libgnatcoll*-dev since oldstable. Closes: #1034920 .

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 23:05:28 +0200

libgnatcoll (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:21:20 +0100

libgnatcoll (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream release, depending on python3-sphinx-rtd-theme.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 23:52:58 +0000

libgnatcoll (23~20220817-1) experimental; urgency=medium

  * New snapshot applying forwarded patches and fixing permissions.
  * Adapt to dh-ada-library 8.1.
    gprinstall-no-artifacts.diff (no gprinstall during -indep builds).
  * Explicitly run gprconfig in order to ensure compiler versions.
  * Avoid dh_auto_build launching parallel sphinx job managers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2022 16:23:51 +0000

libgnatcoll (23~20220803-1) experimental; urgency=medium

  * Build new snapshot with gnat-12 for experimental.
    Rename lib and -dev package accordingly.
  * watch: remove obsolete comment
  * Standards-Version: 4.6.1 (no change)
  * Use a stamp to force regeneration of runtime.py
  * Clean a GNAT temporary file forgotten by the build

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 08 Aug 2022 11:01:11 +0200
