=== debian/control ===
--- 
+++ 
@@ -6,31 +6,32 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 8.1),
  dh-sequence-ada-library,
- gnat,
- gnat-11 (>= 11.2.0-19),
+ gnat-12,
  gprbuild (>= 2021.0.0.0778b109-2),
- libgnatprj9-dev (>= 2022.0.0-2),
+ libgnatprj10-dev,
 # Implicit libc6-dev provides: iconv, syslog.
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
 # Sphinx >= 1.6 uses the latexmk driver:
  latexmk,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  sphinx-common,
 # sphinx-doc requires tgterms.sty:
  tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
 Homepage: https://github.com/AdaCore/gnatcoll-core
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll
 Vcs-Git: https://salsa.debian.org/debian/libgnatcoll.git
 
-Package: libgnatcoll20-dev
-# This line is parsed to set the Ada Library Information version.
+Package: libgnatcoll21-dev
+Breaks: libgnatcoll17-dev, libgnatcoll18-dev, libgnatcoll19-dev, libgnatcoll20-dev
+Replaces: libgnatcoll17-dev, libgnatcoll18-dev, libgnatcoll19-dev, libgnatcoll20-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-doc
@@ -59,7 +60,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libgnatcoll20
+Package: libgnatcoll21
 # This line is parsed to set the Shared Object version.
 Section: libs
 Architecture: any
