=== debian/changelog ===
libgnatcoll (24.1.20230921-6build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:54 +0200

libgnatcoll (24.1.20230921-6build1) questing; urgency=medium

  * No-change with SOURCE_DATE_EPOCH fixed in libgnatprj-dev

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 13:03:20 +0000

libgnatcoll (24.1.20230921-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 08:40:05 +0100

libgnatcoll (24.1.20230921-5) experimental; urgency=medium

  * Build in experimental with gnat-14.
  * Install documentation to now unversioned -dev doc directory.
  * Enable salsa continuous integration via salsa-ci.yml.
  * Simplify debian/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 21 Feb 2025 17:00:15 +0000

libgnatcoll (24.1.20230921-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
    Closes: #1061631.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 15:00:02 +0100

libgnatcoll (24.1.20230921-3) experimental; urgency=medium

  * Rebuild with dh-ada-library 9.1 for gnat version in ada:Depends.
  * Improve readability of debian/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 20 Dec 2023 20:30:54 +0000

libgnatcoll (24.1.20230921-2) experimental; urgency=medium

  * Previous upload broke the ABI, update the SOversion in library package.
  * Build-Depend on a libgnatprj-dev version fixing the same issue.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Oct 2023 13:59:00 +0000

libgnatcoll (24.1.20230921-1) experimental; urgency=medium

  * New upstream release.
  * Build in experimental with dh-ada-library >= 9 and gnat >= 13
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 20:17:11 +0000
