=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 8.1),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
- gprbuild (>= 2021.0.0.0778b109-2),
- libgnatprj10-dev,
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
 # Implicit libc6-dev provides: iconv, syslog.
+ libgnatprj-dev,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
 # Sphinx >= 1.6 uses the latexmk driver:
@@ -24,14 +25,17 @@
  texlive-fonts-recommended,
  texlive-latex-extra,
 Homepage: https://github.com/AdaCore/gnatcoll-core
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll
 Vcs-Git: https://salsa.debian.org/debian/libgnatcoll.git
 
-Package: libgnatcoll21-dev
-Breaks: libgnatcoll17-dev, libgnatcoll18-dev, libgnatcoll19-dev, libgnatcoll20-dev
-Replaces: libgnatcoll17-dev, libgnatcoll18-dev, libgnatcoll19-dev, libgnatcoll20-dev
+Package: libgnatcoll-dev
+Breaks: libgnatcoll17-dev, libgnatcoll18-dev, libgnatcoll19-dev,
+ libgnatcoll20-dev, libgnatcoll21-dev
+Replaces: libgnatcoll17-dev, libgnatcoll18-dev, libgnatcoll19-dev,
+ libgnatcoll20-dev, libgnatcoll21-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-doc
@@ -60,7 +64,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libgnatcoll21
+Package: libgnatcoll22
 # This line is parsed to set the Shared Object version.
 Section: libs
 Architecture: any
